package de.assecutor.votianlt.model;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

@Document(collection = "price_table")
public class PriceTable {

    @Id
    private String id;

    private String monthlyBasePackage;
    private String appUsageLicense;
    private String revenueParticipation;
    private String statisticalEvaluation;

    public PriceTable() {
    }

    public PriceTable(String monthlyBasePackage, String appUsageLicense, String revenueParticipation,
            String statisticalEvaluation) {
        this.monthlyBasePackage = monthlyBasePackage;
        this.appUsageLicense = appUsageLicense;
        this.revenueParticipation = revenueParticipation;
        this.statisticalEvaluation = statisticalEvaluation;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getMonthlyBasePackage() {
        return monthlyBasePackage;
    }

    public void setMonthlyBasePackage(String monthlyBasePackage) {
        this.monthlyBasePackage = monthlyBasePackage;
    }

    public String getAppUsageLicense() {
        return appUsageLicense;
    }

    public void setAppUsageLicense(String appUsageLicense) {
        this.appUsageLicense = appUsageLicense;
    }

    public String getRevenueParticipation() {
        return revenueParticipation;
    }

    public void setRevenueParticipation(String revenueParticipation) {
        this.revenueParticipation = revenueParticipation;
    }

    public String getStatisticalEvaluation() {
        return statisticalEvaluation;
    }

    public void setStatisticalEvaluation(String statisticalEvaluation) {
        this.statisticalEvaluation = statisticalEvaluation;
    }
}